unit uPROS_PostCompleteReason;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,  MFunStr, Trpcb, Buttons, Grids, VA508AccessibilityManager;

type
  TfrmPostCompleteReason = class(TForm)
    grdPostCompleteReason: TStringGrid;
    edtPostCompleteDisplay: TEdit;
    btnSelect: TBitBtn;
    Label1: TLabel;
    edtPostCompleteReasonCode: TEdit;
    VA508AccessibilityManager1: TVA508AccessibilityManager;
    VA508ComponentAccessibility1: TVA508ComponentAccessibility;
    procedure FormCreate(Sender: TObject);
    procedure btnSelectClick(Sender: TObject);
    procedure grdPostCompleteReasonClick(Sender: TObject);
    procedure grdPostCompleteReasonDblClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure grdPostCompleteReasonKeyPress(Sender: TObject; var Key: Char);
    procedure grdPostCompleteReasonMouseUp(Sender: TObject;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPostCompleteReason: TfrmPostCompleteReason;

implementation

uses uPROS_POC_Post_Note, Pros_Menu;

{$R *.dfm}

procedure TfrmPostCompleteReason.btnSelectClick(Sender: TObject);
begin
frmPostSuspenseNote.edtPostCompleteReasonCode.Text := edtPostCompleteReasonCode.text;
frmPostSuspenseNote.edtPostCompleteDisplay.Text := edtPostCompleteDisplay.Text;
Close;
end;

procedure TfrmPostCompleteReason.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
release;
end;

procedure TfrmPostCompleteReason.FormCreate(Sender: TObject);
begin
  with grdPostCompleteReason do
  begin
    Cells[0,0] := 'Close Unfullfiled Reason';
    Cells[1,0] := 'Code';
  end;

end;

procedure TfrmPostCompleteReason.FormShow(Sender: TObject);
var
   i : integer;
begin
    frmMenu.brkrRPC.RemoteProcedure := 'RMPR UNFULFILLED SUSP REASON';


  TRY
    frmMenu.brkrRPC.Call;
  Except
   on E:EBrokerError do
       begin
       Showmessage('Broker Error: '+ E.Message);
       end;
     on E:EAccessViolation do
       Showmessage(E.Message);
     else
       raise;
  End;

    if frmMenu.brkrRPC.Results.Count > 0 then
        grdPostCompleteReason.RowCount := frmMenu.brkrRPC.Results.Count +1;

    for i:= 0 to frmMenu.brkrRPC.Results.Count -1  do  //Tab 4


    with grdPostCompleteReason do
    begin
      Cells[0,i+1] := Piece(frmMenu.brkrRPC.Results[i],'^',1); //Reason
      Cells[1,i+1] := Piece(frmMenu.brkrRPC.Results[i],'^',2); //Code
    end;

 grdPostCompleteReason.SetFocus;

 end;

procedure TfrmPostCompleteReason.grdPostCompleteReasonClick(Sender: TObject);
begin
   edtPostCompleteReasonCode.text := grdPostCompleteReason.cells[1,grdPostCompleteReason.Row];
   edtPostCompleteDisplay.Text := grdPostCompleteReason.Cells[0,grdPostCompleteReason.row];

end;

procedure TfrmPostCompleteReason.grdPostCompleteReasonDblClick(Sender: TObject);
begin
btnSelect.Click;
end;

procedure TfrmPostCompleteReason.grdPostCompleteReasonKeyPress(Sender: TObject;
  var Key: Char);
begin
  if Key = char(VK_RETURN) then
  begin
   edtPostCompleteReasonCode.text := grdPostCompleteReason.cells[1,grdPostCompleteReason.Row];
   edtPostCompleteDisplay.Text := grdPostCompleteReason.Cells[0,grdPostCompleteReason.row];
   btnSelect.Click;
//   grdPostCompleteReason.Visible := False;
//   memPostSuspenseNote.Visible := True;
  end;

 if Key = char(VK_Escape) then
  begin
    edtPostCompleteReasonCode.text := '';
    edtPostCompleteDisplay.Text := '';

    Close;
  end;
end;

procedure TfrmPostCompleteReason.grdPostCompleteReasonMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
   edtPostCompleteReasonCode.text := grdPostCompleteReason.cells[1,grdPostCompleteReason.Row];
   edtPostCompleteDisplay.Text := grdPostCompleteReason.Cells[0,grdPostCompleteReason.row];
   btnSelect.Click;
 end;

end.
