library PROS_DLL_NPPD;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  sharemem,
  SysUtils,
  Classes,
  CCOWRPCBroker,
  ESBDates in '..\Components\ESBDates\ESBDates.pas',
  NumEdit in '..\Components\Misc\NumEdit.pas',
  progbar in '..\Components\ProgressBar\progbar.pas',
  Fmcntrls,
 // PROS_NPPDDetailDisplay_About in '..\DetailDisplay\PROS_NPPDDetailDisplay_About.pas',
  PROS_NPPDDetailDisplay_Main in '..\DetailDisplay\PROS_NPPDDetailDisplay_Main.pas' {frmMain},
  uPROS_CRC32 in '..\Menu\uPROS_CRC32.pas',
  PROS_Menu_About in '..\Menu\PROS_Menu_About.pas' {dlgAbout};

{$R *.res}

function getNPPD(aDUZ: String;const aBroker: TCCOWRPCBroker): Integer;
begin
  Result := executeMyMainForm(aDUZ,aBroker);
end;

exports
  getNPPD name 'NPPD'
  ;

begin
end.

