unit PROS_DOR_CalcDetail;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, NumEdit, ExtCtrls, Buttons, SRGrad, CurrEdit, QuickRpt,
  TeeProcs, TeEngine, Chart, Series, VclTee.TeeGDIPlus;

type
  TfrmCalcDetail = class(TForm)
    lblNumManuals: TLabel;
    lblNumConsults: TLabel;
    lbl0_5: TLabel;
    lbl6_9: TLabel;
    lbl10_29: TLabel;
    lbl30_89: TLabel;
    lbl90: TLabel;
    lblTotal: TLabel;
    lblSubTotal: TLabel;
    pnlSubTotals: TPanel;
    pnlTotalDelayed: TPanel;
    lblCalcTotal: TLabel;
    lblTotalDelayed: TLabel;
    lblPercentDelayed: TLabel;
    btnClose: TBitBtn;
    lblPlus5: TLabel;
    lblEquals1: TLabel;
    lblPlus1: TLabel;
    lblPlus9: TLabel;
    lblPlus13: TLabel;
    lblPlus2: TLabel;
    lblPlus6: TLabel;
    lblPlus10: TLabel;
    lblPlus14: TLabel;
    lblPlus15: TLabel;
    lblPlus17: TLabel;
    lblPlus3: TLabel;
    lblPlus7: TLabel;
    lblPlus11: TLabel;
    lblPlus4: TLabel;
    lblPlus8: TLabel;
    lblPlus12: TLabel;
    lblPlus16: TLabel;
    lblPlus18: TLabel;
    lblPlus19: TLabel;
    lblEquals2: TLabel;
    lblEquals3: TLabel;
    lblEquals4: TLabel;
    lblEquals5: TLabel;
    lblMinus: TLabel;
    lblCalcPending: TLabel;
    pnlMinusPending: TPanel;
    pnlCalcResult: TPanel;
    lblCalcTotalDelayed: TLabel;
    lblCalcDivided: TLabel;
    lblPending: TLabel;
    lblDays: TLabel;
    edtManuals0_5: TCurrencyEdit;
    edtManuals10_29: TCurrencyEdit;
    edtManuals30_89: TCurrencyEdit;
    edtManuals90: TCurrencyEdit;
    edtManualsTotal: TCurrencyEdit;
    edtManuals6_9: TCurrencyEdit;
    edtConsults0_5: TCurrencyEdit;
    edtConsults6_9: TCurrencyEdit;
    edtConsults10_29: TCurrencyEdit;
    edtConsults30_89: TCurrencyEdit;
    edtConsults90: TCurrencyEdit;
    edtConsultsTotal: TCurrencyEdit;
    edtSubTotal0_5: TCurrencyEdit;
    edtSubTotal6_9: TCurrencyEdit;
    edtSubTotal10_29: TCurrencyEdit;
    edtSubTotal30_89: TCurrencyEdit;
    edtSubTotal90: TCurrencyEdit;
    edtSubTotalTotal: TCurrencyEdit;
    edtPending0_5: TCurrencyEdit;
    edtPending6_9: TCurrencyEdit;
    edtPending10_29: TCurrencyEdit;
    edtPending30_89: TCurrencyEdit;
    edtPending90: TCurrencyEdit;
    edtPendingTotal: TCurrencyEdit;
    edtTotalDelayed6_9: TCurrencyEdit;
    edtTotalDelayed10_29: TCurrencyEdit;
    edtTotalDelayed30_89: TCurrencyEdit;
    edtTotalDelayed90: TCurrencyEdit;
    edtTotalDelayedTotal: TCurrencyEdit;
    edtCalcTotalOfSubTotal: TCurrencyEdit;
    edtCalcPendingTotal: TCurrencyEdit;
    edtCalcTotalDelayedTotal: TCurrencyEdit;
    edtCalcResult: TCurrencyEdit;
    btnPrintCalc: TBitBtn;
    edtCalcPercentDelayed: TCurrencyEdit;
    chrtCalcDetail: TChart;
    stsbrCalcDetail: TBarSeries;
    edtTotalDelayed0_5: TCurrencyEdit;
    procedure btnCloseClick(Sender: TObject);
    procedure btnPrintCalcClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCalcDetail: TfrmCalcDetail;

implementation

uses PROS_DOR_PrintCalcDetail;


{$R *.DFM}

procedure TfrmCalcDetail.btnCloseClick(Sender: TObject);
begin
Close;
end;

procedure TfrmCalcDetail.btnPrintCalcClick(Sender: TObject);
begin
frmPrintCalc.dlgPrintCalcDelayed.Preview;  //Preview or Print
end;

procedure TfrmCalcDetail.FormActivate(Sender: TObject);
begin
With stsbrCalcDetail do
Begin
  Clear;
  Add( StrToInt(edtTotalDelayed0_5.text), '0-5' , clGreen ) ;
  Add( StrToInt(edtTotalDelayed6_9.text), '6-9' , clYellow ) ;
  Add( StrToInt(edtTotalDelayed10_29.text), '10-29' , clRed ) ;
  Add( StrToInt(edtTotalDelayed30_89.text), '30-89' , clLime ) ;
  Add( StrToInt(edtTotalDelayed90.text), '90+' , clBlue ) ;
end;
 with frmPrintCalc.stsbrPrintCalcDetail do
 Begin
  Clear;
  Add( StrToInt(edtTotalDelayed0_5.text), '0-5' , clBlack ) ;
  Add( StrToInt(edtTotalDelayed6_9.text), '6-9' , clBlack ) ;
  Add( StrToInt(edtTotalDelayed10_29.text), '10-29' , clBlack ) ;
  Add( StrToInt(edtTotalDelayed30_89.text), '30-89' , clBlack ) ;
  Add( StrToInt(edtTotalDelayed90.text), '90+' , clBlack ) ;
end;

end;

procedure TfrmCalcDetail.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
stsbrCalcDetail.Clear;
end;

end.
