unit PROS_DOR_ViewCPRS;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Trpcb, MFunStr, SRGrad, Fmcntrls;

type
  TfrmViewCPRS = class(TForm)
    memViewCPRS: TMemo;
    btnClose: TBitBtn;
    edtVarIEN668: TFMEdit;
    procedure btnCloseClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmViewCPRS: TfrmViewCPRS;

implementation

uses PROS_DOR_Consult, Pros_Menu;

{$R *.DFM}

procedure TfrmViewCPRS.btnCloseClick(Sender: TObject);
begin
Close;
end;

procedure TfrmViewCPRS.FormActivate(Sender: TObject);
var
i : integer;
begin

   IEN668 := edtVarIEN668.Text; //Receives var from sending app
   begin
    frmMenu.brkrRPC.RemoteProcedure := 'RMPR CPRS DISPLAY';
    frmMenu.brkrRPC.Param[0].Value := IEN668;
    frmMenu.brkrRPC.Param[0].PType := literal;
  TRY
    frmMenu.brkrRPC.Call;
  Except
   on E:EBrokerError do
       begin
       Showmessage('Broker Error: '+ E.Message);
       end;
     on E:EAccessViolation do
       Showmessage('E.Message');
     else
       raise;
  END;

   end;

 memViewCPRS.Lines.Clear;
  for i := 0 to frmMenu.brkrRPC.Results.Count -1 do
  begin
  memViewCPRS.Lines.Add (frmMenu.brkrRPC.Results[i]);
  end;
end;

procedure TfrmViewCPRS.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Release;
end;

end.
