unit uPROS_CDSNPPD;

interface
uses
  DBClient
  , uPROS_CDSCommon
  , SysUtils
  ;

function newNPPD_CDS(aCDS: TClientDataSet): Boolean;

const
  fnSite = 'Site';
  fnDate = 'Date';
  fnType = 'Type';
  fnForm = 'Form';
  fnPatientName = 'PatientName';
  fnSSN = 'SSN';
  fnIEN = 'IEN';
  fnDescription = 'Description';
  fnHCPCS = 'HCPCS';
  fnHCPCSDesc = 'HCPCSDesc';
  fnNPPD = 'NPPD';
  fnInitiator = 'Initiator';
  fnIADate = 'IADate';
  fnCost = 'Cost';
  fnQty = 'Qty';
  fnSource = 'Source';
  fnVendor = 'Vendor';
  fnGroup = 'Group';
  fnCustomData1 = 'CustomData1';
  fnCustomData2 = 'CustomData2';
  fnCustomData3 = 'CustomData3';

implementation

function newNPPD_CDS(aCDS: TClientDataSet): Boolean;
begin
  Result := False;
  try
       NewStringField(aCDS, fnSite, fnSite, 10, 30);
       NewDateTimeField(aCDS, fnDate, fnDate);
       NewStringField(aCDS, fnType, fnType, 5, 1);
       NewStringField(aCDS, fnForm, fnForm, 15, 15);
       NewStringField(aCDS, fnPatientName, 'Patient Name',30, 30);
       NewStringField(aCDS, fnSSN, fnSSN, 12, 11);
       NewStringField(aCDS, fnIEN, fnIEN, 10, 256);
       NewStringField(aCDS, fnDescription, fnDescription, 30, 60);
       NewStringField(aCDS, fnHCPCS, fnHCPCS, 10, 20);
       NewStringField(aCDS, fnHCPCSDesc, fnHCPCSDesc, 20, 60);
       NewStringField(aCDS, fnNPPD, fnNPPD, 7, 6);
       NewStringField(aCDS, fnInitiator, fnInitiator, 10, 35);
       NewStringField(aCDS, fnIADate, 'IA Date', 10, 25);
       NewStringField(aCDS, fnCost, fnCost,9, 10);
       NewIntegerField(aCDS, fnQty, fnQty, 5);
       NewStringField(aCDS, fnSource, 'V/C', 4, 1);
       NewStringField(aCDS, fnVendor, fnSource, 10, 36);
       NewStringField(aCDS, fnGroup, 'Grp #', 9, 8);
       NewStringField(aCDS, fnCustomData1, fnCustomData1, 10, 256);
       NewStringField(aCDS, fnCustomData2, fnCustomData2, 10, 256);
       NewStringField(aCDS, fnCustomData3, fnCustomData3, 10, 256);


     aCDS.CreateDataSet;
     aCDS.Open; //Must open to receive data
     Result := aCDS.Active;
  except
    on E: Exception do
      LastErrorMessage := E.Message;
  end;
end;
end.
