library EZ3;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses ShareMem,
  SysUtils,
  Classes,
  DllForm in '..\DLLs\Sample\DllForm.pas' {frmDllForm};

{$R *.res}

function ShowTheEZ3:integer;stdcall;
begin
  frmDllForm :=TfrmDllForm.Create(nil);
  result := frmDllForm.ShowModal;
end;

Exports
  ShowTheEZ3 name 'ShowTheEZ3',
  DLLTestWindow name 'TestDLLWindow';
end.
