program ProsMenu;

uses
  Forms,
  Pros_Menu in 'Pros_Menu.pas' {frmMenu},
  PROS_NPPDDetailDisplay_Main in '..\DetailDisplay\PROS_NPPDDetailDisplay_Main.pas' {frmMain},
  PROS_DOR_PendingCalc in '..\DOR\PROS_DOR_PendingCalc.pas' {frmPendingCalc},
  PROS_DOR_Consult in '..\DOR\PROS_DOR_Consult.pas' {frmConsult},
  PROS_DOR_CalcDetail in '..\DOR\PROS_DOR_CalcDetail.pas' {frmCalcDetail},
  PROS_DOR_ViewReq in '..\DOR\PROS_DOR_ViewReq.pas' {frmViewReq},
  PROS_DOR_ViewCPRS in '..\DOR\PROS_DOR_ViewCPRS.pas' {frmViewCPRS},
  PROS_DOR_View2319 in '..\DOR\PROS_DOR_View2319.pas' {frmView2319},
  PROS_DOR_AppTransDetail in '..\DOR\PROS_DOR_AppTransDetail.pas' {frmAppTransDetail},
  PROS_DOR_PrintCalcDetail in '..\DOR\PROS_DOR_PrintCalcDetail.pas' {frmPrintCalc},
  PROS_Menu_About in 'PROS_Menu_About.pas' {dlgAbout},
  PROS_ViewBilling in '..\Billing\PROS_ViewBilling.pas' {frmViewBilling},
  PROS_POC_PurOrderConsult in '..\POC\PROS_POC_PurOrderConsult.pas' {frmPurOrderConsult},
  PROS_POC_AddEdit in '..\POC\PROS_POC_AddEdit.pas' {frmAddEdit},
  PROS_POC_ExtDesc in '..\POC\PROS_POC_ExtDesc.pas' {frmExtDesc},
  PROS_POC_DeliverTo in '..\POC\PROS_POC_DeliverTo.pas' {frmDeliverTo},
  PROS_POC_PurOrder in '..\POC\PROS_POC_PurOrder.pas' {frmPurOrder},
  PROS_POC_SelSite in '..\POC\PROS_POC_SelSite.pas' {frmSelSiteID},
  PROS_POC_SelDueDate in '..\POC\PROS_POC_SelDueDate.pas' {frmSelDueDate},
  PROS_POC_SelPurchaseCard in '..\POC\CoreFLS\PROS_POC_SelPurchaseCard.pas' {frmSelPurchaseCard},
  PROS_POC_SelVendor in '..\POC\PROS_POC_SelVendor.pas' {frmSelVendor},
  PROS_POC_SelDelivery in '..\POC\PROS_POC_SelDelivery.pas' {frmSelDelivery},
  PROS_POC_Shipping in '..\POC\PROS_POC_Shipping.pas' {frmShipping},
  PROS_POC_ESignature in '..\POC\PROS_POC_ESignature.pas' {frmESignature},
  PROS_POC_CloseSuspense in '..\POC\PROS_POC_CloseSuspense.pas' {frmCloseSuspense},
  PROS_POC_NumberOfBids in '..\POC\PROS_POC_NumberOfBids.pas' {frmNumberOfBids},
  uPROS_OWL_Create in '..\OWL\uPROS_OWL_Create.pas' {frmOWLCreate},
  uPROS_OWL_ExtDesc in '..\OWL\uPROS_OWL_ExtDesc.pas' {frmOWLExtDesc},
  uPROS_OWL in '..\OWL\uPROS_OWL.pas' {frmOWL},
  uPROS_OWL_SelPrinter in '..\OWL\uPROS_OWL_SelPrinter.pas' {frmOWLCreateSelPrinter},
  uPROS_OWL_WorkOrderDetail in '..\OWL\uPROS_OWL_WorkOrderDetail.pas' {frmOWLWorkOrderDetail},
  uPROS_OWL_AddMaterial in '..\OWL\uPROS_OWL_AddMaterial.pas' {frmOWLAddMaterial},
  uPROS_OWL_AddHCPCS in '..\OWL\uPROS_OWL_AddHCPCS.pas' {frmOWLAddHCPCS},
  uPROS_OWL_AddLabor in '..\OWL\uPROS_OWL_AddLabor.pas' {frmOWLAddLabor},
  uPROS_OWL_AssignTechnician in '..\OWL\uPROS_OWL_AssignTechnician.pas' {frmOWLAssignTechnician},
  uPROS_OWL_PrintOWL in '..\OWL\uPROS_OWL_PrintOWL.pas' {frmOWLPrint},
  uPROS_OWL_SelDateRequired in '..\OWL\uPROS_OWL_SelDateRequired.pas' {frmOWLDateRequired},
  uPROS_OWL_Complete in '..\OWL\uPROS_OWL_Complete.pas' {frmOWLComplete},
  uPROS_OWL_Cancel in '..\OWL\uPROS_OWL_Cancel.pas' {frmOWLCancel},
  uPROS_CRC32 in 'uPROS_CRC32.pas',
  Splvista,
  PROS_POC_OtherDelLoc in '..\POC\PROS_POC_OtherDelLoc.pas',
  PROS_POC_PurOrderStatus in '..\POC\PROS_POC_PurOrderStatus.pas',
  PROS_POC_SelCostCenter in '..\POC\PROS_POC_SelCostCenter.pas',
  PROS_POC_SelPrinterLocation in '..\POC\PROS_POC_SelPrinterLocation.pas',
  U_HelpMGR in 'U_HelpMGR.pas';

{ MyGrids in '..\Components\StringGrid\MyGrids.pas',
  SortGrid in '..\Components\StringGrid\SortGrid.pas',
  ESBDates in '..\Components\ESBDates\ESBDates.pas',
  NumEdit in '..\Components\Misc\NumEdit.pas',
  CurrEdit in '..\Components\Misc\CURREDIT.PAS',
  AutoResize in '..\Components\Resize\AutoResize.pas',
  SRGrad in '..\Components\Gradient\SRGrad.pas'; }

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Prosthetics VistA Suite';
  Application.CreateForm(TfrmMenu, frmMenu);
  Application.CreateForm(TfrmPendingCalc, frmPendingCalc);
  Application.CreateForm(TfrmConsult, frmConsult);
  Application.CreateForm(TfrmCalcDetail, frmCalcDetail);
  Application.CreateForm(TfrmPrintCalc, frmPrintCalc);
  Application.CreateForm(TdlgAbout, dlgAbout);
  Application.CreateForm(TfrmMain, frmMain);
  Application.CreateForm(TfrmViewBilling, frmViewBilling);
  Application.CreateForm(TfrmPurOrderConsult, frmPurOrderConsult);
  Application.CreateForm(TfrmOWL, frmOWL);
  Application.CreateForm(TfrmVistaSplash, frmVistaSplash);
  //  Application.CreateForm(TfrmOWLCancel, frmOWLCancel);
//  Application.CreateForm(TfrmOWLComplete, frmOWLComplete);
//  Application.CreateForm(TfrmOWLDateRequired, frmOWLDateRequired);
//  Application.CreateForm(TfrmOWLPrint, frmOWLPrint);
//  Application.CreateForm(TfrmOWLAssignTechnician, frmOWLAssignTechnician);
//  Application.CreateForm(TfrmOWLAddLabor, frmOWLAddLabor);
//  Application.CreateForm(TfrmOWLAddMaterial, frmOWLAddMaterial);
//  Application.CreateForm(TfrmOWLWorkOrderDetail, frmOWLWorkOrderDetail);
//  Application.CreateForm(TfrmOWLSelPrinter, frmOWLSelPrinter);
//  Application.CreateForm(TfrmOWLPostCPRSNote, frmOWLPostCPRSNote);
//  Application.CreateForm(TfrmOWLExtDesc, frmOWLExtDesc);
//  Application.CreateForm(TfrmOWLCreate, frmOWLCreate);
//  Application.CreateForm(TfrmViewReq, frmViewReq);
//  Application.CreateForm(TfrmViewCPRS, frmViewCPRS);
//  Application.CreateForm(TfrmView2319, frmView2319);
//  Application.CreateForm(TfrmAppTransDetail, frmAppTransDetail);
//  Application.CreateForm(TfrmOtherDelLoc, frmOtherDelLoc);
//  Application.CreateForm(TfrmSelSiteID, frmSelSiteID);
//  Application.CreateForm(TfrmSelDueDate, frmSelDueDate);
//  Application.CreateForm(TfrmSelPurchaseCard, frmSelPurchaseCard);
//  Application.CreateForm(TfrmSelCostCenter, frmSelCostCenter);
//  Application.CreateForm(TfrmSelVendor, frmSelVendor);
//  Application.CreateForm(TfrmSelDelivery, frmSelDelivery);
//  Application.CreateForm(TfrmShipping, frmShipping);
//  Application.CreateForm(TfrmESignature, frmESignature);
//  Application.CreateForm(TfrmCloseSuspense, frmCloseSuspense);
//  Application.CreateForm(TfrmSelPrinterLocation, frmSelPrinterLocation);
//  Application.CreateForm(TfrmNumberOfBids, frmNumberOfBids);
//  Application.CreateForm(TfrmAddEdit, frmAddEdit);
//  Application.CreateForm(TfrmExtDesc, frmExtDesc);
//  Application.CreateForm(TfrmDeliverTo, frmDeliverTo);
//  Application.CreateForm(TfrmPurOrder, frmPurOrder);
  SplashOpen;
  SplashClose (2000);
//  Application.CreateForm(TfrmVistaSplash, frmVistaSplash);
  Application.Run;
end.
