unit ProsUtils;

interface

function DateStr2StrDate(AText:string): string;
//Converts ISO 20100614 string to 06/14/2010 as string

function DateTimeStr2StrDateTime(AText:string): string;
//Converts ISO 201006141359 string to 06/14/2010 1:59 PM as string


implementation

uses
 SysUtils;

function DateStr2StrDate(AText:string): string;
//Converts ISO 20100614 string to 06/14/2010 as string
var
 d, s : string;
begin
 if AText <> '' then
   begin
    s := AText;
    d := copy(s,0,4); //Year
    d := copy(s,7,2) +'/'+d; //Day
    d := copy(s,5,2) +'/'+d; //Month

   result := d;
   end
 else
 result := '';
end;

function DateTimeStr2StrDateTime(AText:string): string;
//Converts ISO 201006141359 string to 06/14/2010 1:59 PM as string
var
 d, s : string;
begin
  if AText <> '' then
    begin
     s := AText;
     d := copy(s,0,4); //Year
     d := copy(s,7,2) +'/'+d; //Day
     d := copy(s,5,2) +'/'+d; //Month
      begin
       if StrToInt((copy(s,9,4))) >= 1300 then
       d := d + ' '+ IntToStr(StrToInt(copy(s,9,2)) - 12) +':'+ copy(s,11,2)+'PM'
       else
       d := d + ' '+ copy(s,9,2) +':'+ copy(s,11,2)+'AM';
    end;
    result := d
   end
  else
  result := '';
end;


end.
