unit DllForm;

interface

uses  ShareMem,
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, u_Common, U_Pcall, TRPCB;

type
  TfrmDllForm = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Edit1: TEdit;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
    Broker: TRPCBroker;
  public
    { Public declarations }
   procedure setBroker(aBroker:TRPCBroker);
  end;

function DLLTestWindow(aBroker: TRPCBroker): TfrmDLLForm stdcall;

var
  frmDllForm: TfrmDllForm;

implementation

{$R *.DFM}

function DLLTestWindow(aBroker: TRPCBroker): TfrmDLLForm;
var
  aDUZWin: TfrmDLLForm;
begin
  result := nil;
  try
    Application.CreateForm(TfrmDLLForm, aDUZWin);
    aDUZWin.SetBroker(aBroker);
    Result := aDUZWin;
  except
  end;
end;

procedure TfrmDLLForm.setBroker(aBroker:TRPCBroker);
begin
  Broker := aBroker;
end;



procedure TfrmDllForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TfrmDllForm.Button1Click(Sender: TObject);
begin
  if Broker = nil then exit;
  //CoreFLS call to fill the grid
  try
//    Broker.CreateContext('RMPR COREFLS GUI');
    Broker.RemoteProcedure := 'XWB GET VARIABLE VALUE';
    Broker.Param[0].Value := 'DUZ';
    Broker.Param[0].PType := reference ;
    Broker.Call;
    Edit1.Text := (Broker.Results[0]);
  except
  end;
end;

end.
