unit PROS_DOR_PrintCalcDetail;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  QuickRpt, Qrctrls, ExtCtrls,ESBDates, TeEngine, Series, TeeProcs, Chart,
  DBChart, QrTee;

type
  TfrmPrintCalc = class(TForm)
    dlgPrintCalcDelayed: TQuickRep;
    lblPrintDelayedReportDetail: TQRBand;
    lblPrintCalcPercentDelayed: TQRLabel;
    lblPrintPageHeaderBand: TQRBand;
    lblPrintTitleBand: TQRBand;
    lblCalcTotalDelayed: TQRLabel;
    lblPrintCalcTotalDelayedTotal: TQRLabel;
    lblPrintCalcDivided: TQRLabel;
    lblPrintCalcResult: TQRLabel;
    lblPrintDelayedPercent: TQRLabel;
    lblPrintCalcPendingTotal: TQRLabel;
    lblPrintCalcTotalOfSubTotal: TQRLabel;
    lblPrintCalcTotal: TQRLabel;
    lblPrintCalcPending: TQRLabel;
    lblMainBanner: TQRLabel;
    lblPrintReportDate: TQRLabel;
    lblPrintSite: TQRLabel;
    lblPrintStartDate: TQRLabel;
    lblOpen: TQRLabel;
    lblPending: TQRLabel;
    lblCancelled: TQRLabel;
    lblClosed: TQRLabel;
    lblSite: TQRLabel;
    lblStartDate: TQRLabel;
    lblStartSSN: TQRLabel;
    lblPrintStartingSSN: TQRLabel;
    lblEndingSSN: TQRLabel;
    lblPrintEndingSSN: TQRLabel;
    lblPrintOpen: TQRLabel;
    lblPrintPending: TQRLabel;
    lblPrintCancelled: TQRLabel;
    lblPrintClosed: TQRLabel;
    lblPrintServer: TQRLabel;
    lblSource: TQRLabel;
    lblNumberManuals: TQRLabel;
    lblNumberConsults: TQRLabel;
    lblSubTotal: TQRLabel;
    lblPrintMinusPending: TQRLabel;
    lblTotalDelayed: TQRLabel;
    lblPrintMan0_5: TQRLabel;
    lblPrintMan6_9: TQRLabel;
    lblPrintMan10_29: TQRLabel;
    lblPrintMan30_89: TQRLabel;
    lblPrintMan90: TQRLabel;
    lblPrintManTotal: TQRLabel;
    lblPrintCon0_5: TQRLabel;
    lblPrintCon6_9: TQRLabel;
    lblPrintCon10_29: TQRLabel;
    lblPrintCon30_89: TQRLabel;
    lblPrintCon90: TQRLabel;
    lblPrintConTotal: TQRLabel;
    lblPrintSubTotal0_5: TQRLabel;
    lblPrintSubTotal6_9: TQRLabel;
    lblPrintSubTotal10_29: TQRLabel;
    lblPrintSubTotal30_89: TQRLabel;
    lblPrintSubTotal90: TQRLabel;
    lblPrintSubTotalTotal: TQRLabel;
    lblPrintPending0_5: TQRLabel;
    lblPrintPending6_9: TQRLabel;
    lblPrintPending10_29: TQRLabel;
    lblPrintPending30_89: TQRLabel;
    lblPrintPending90: TQRLabel;
    lblPrintPendingTotal: TQRLabel;
    lblPrintTotalDelayed6_9: TQRLabel;
    lblPrintTotalDelayed10_29: TQRLabel;
    lblPrintTotalDelayed90: TQRLabel;
    lblPrintTotalDelayed30_89: TQRLabel;
    lblPrintTotalDelayedTotal: TQRLabel;
    lblPrint0_5: TQRLabel;
    lblPrint6_9: TQRLabel;
    lblPrint10_29: TQRLabel;
    lblPrint30_89: TQRLabel;
    lblPrint90: TQRLabel;
    lblPrintTotal: TQRLabel;
    lblSubTotalBar: TQRLabel;
    lblMinusPendingBar: TQRLabel;
    lblTotalDelayedBar: TQRLabel;
    lblDividedByBar: TQRLabel;
    lblEqualsManual: TQRLabel;
    lblEqualsConsults: TQRLabel;
    lblEqualsSubTotal: TQRLabel;
    lblEqualsPending: TQRLabel;
    lblEqualsTotalDelayed: TQRLabel;
    lblPlus1: TQRLabel;
    lblPlus2: TQRLabel;
    lblPlus3: TQRLabel;
    lblPlus4: TQRLabel;
    lblPlus5: TQRLabel;
    lblPlus6: TQRLabel;
    lblPlus7: TQRLabel;
    lblPlus8: TQRLabel;
    lblPlus9: TQRLabel;
    lblPlus10: TQRLabel;
    lblPlus11: TQRLabel;
    lblPlus12: TQRLabel;
    lblPlus13: TQRLabel;
    lblPlus14: TQRLabel;
    lblPlus15: TQRLabel;
    lblPlus16: TQRLabel;
    lblPlus17: TQRLabel;
    lblPlus18: TQRLabel;
    lblPlus19: TQRLabel;
    lblNotes: TQRLabel;
    lblDays: TQRLabel;
    chrtQRDBChart: TQRDBChart;
    chrtPrintCalcDetail: TQRChart;
    stsbrPrintCalcDetail: TBarSeries;
    procedure dlgPrintCalcDelayedBeforePrint(Sender: TCustomQuickRep;
      var PrintReport: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPrintCalc: TfrmPrintCalc;

implementation

uses PROS_DOR_CalcDetail, PROS_DOR_Consult, Pros_Menu;

{$R *.DFM}

procedure TfrmPrintCalc.dlgPrintCalcDelayedBeforePrint(Sender: TCustomQuickRep;
  var PrintReport: Boolean);
begin
       lblPrintServer.Caption := frmMenu.brkrRPC.Server;
       lblPrintReportDate.Caption := Date2Str(Date);

        if SiteID = 'ALL' then lblPrintSite.Caption := 'ALL' else
             lblPrintSite.Caption := frmConsult.cbxSiteSelection.Text;

        lblPrintStartDate.Caption := Date2Str(frmConsult.dtpkrBegDate.Date);
              if frmConsult.chkOpen.checked then lblPrintOpen.Caption := 'Yes';
        if frmConsult.chkPending.checked then lblPrintPending.Caption := 'Yes';
    if frmConsult.chkCancelled.checked then lblPrintCancelled.Caption := 'Yes';
          if frmConsult.chkClosed.checked then lblPrintClosed.Caption := 'Yes';

    lblPrintStartingSSN.Caption := frmConsult.edtStartSSN.Text;
      lblPrintEndingSSN.Caption := frmConsult.edtEndSSN.Text;

  lblPrintMan0_5.Caption   := frmCalcDetail.edtManuals0_5.Text;
  lblPrintMan6_9.Caption   := frmCalcDetail.edtManuals6_9.Text;
  lblPrintMan10_29.Caption := frmCalcDetail.edtManuals10_29.Text;
  lblPrintMan30_89.Caption := frmCalcDetail.edtManuals30_89.Text;
  lblPrintMan90.Caption    := frmCalcDetail.edtManuals90.Text;
  lblPrintManTotal.Caption := frmCalcDetail.edtManualsTotal.Text;

  lblPrintCon0_5.Caption   := frmCalcDetail.edtConsults0_5.Text;
  lblPrintCon6_9.Caption   := frmCalcDetail.edtConsults6_9.Text;
  lblPrintCon10_29.Caption := frmCalcDetail.edtConsults10_29.Text;
  lblPrintCon30_89.Caption := frmCalcDetail.edtConsults30_89.Text;
  lblPrintCon90.Caption    := frmCalcDetail.edtConsults90.Text;
  lblPrintConTotal.Caption := frmCalcDetail.edtConsultsTotal.Text;

  lblPrintSubTotal0_5.Caption   := frmCalcDetail.edtSubTotal0_5.Text;
  lblPrintSubTotal6_9.Caption   := frmCalcDetail.edtSubTotal6_9.Text;
  lblPrintSubTotal10_29.Caption := frmCalcDetail.edtSubTotal10_29.Text;
  lblPrintSubTotal30_89.Caption := frmCalcDetail.edtSubTotal30_89.Text;
  lblPrintSubTotal90.Caption    := frmCalcDetail.edtSubTotal90.Text;
  lblPrintSubTotalTotal.Caption := frmCalcDetail.edtSubTotalTotal.Text;


  lblPrintMinusPending.Caption := frmCalcDetail.lblPending.Caption;
  lblPrintPending0_5.Caption   := frmCalcDetail.edtPending0_5.Text;
  lblPrintPending6_9.Caption   := frmCalcDetail.edtPending6_9.Text;
  lblPrintPending10_29.Caption := frmCalcDetail.edtPending10_29.Text;
  lblPrintPending30_89.Caption := frmCalcDetail.edtPending30_89.Text;
  lblPrintPending90.Caption    := frmCalcDetail.edtPending90.Text;
  lblPrintPendingTotal.Caption := frmCalcDetail.edtPendingTotal.Text;

  lblPrintTotalDelayed6_9.Caption   := frmCalcDetail.edtTotalDelayed6_9.Text;
  lblPrintTotalDelayed10_29.Caption := frmCalcDetail.edtTotalDelayed10_29.Text;
  lblPrintTotalDelayed30_89.Caption := frmCalcDetail.edtTotalDelayed30_89.Text;
  lblPrintTotalDelayed90.Caption    := frmCalcDetail.edtTotalDelayed90.Text;
  lblPrintTotalDelayedTotal.Caption := frmCalcDetail.edtTotalDelayedTotal.Text;




  lblPrintCalcTotalOfSubTotal.Caption := frmCalcDetail.edtCalcTotalOfSubTotal.Text;
     lblPrintCalcPendingTotal.Caption := frmCalcDetail.edtCalcPendingTotal.Text;
lblPrintCalcTotalDelayedTotal.Caption := frmCalcDetail.edtCalcTotalDelayedTotal.Text;
           lblPrintCalcResult.Caption := frmCalcDetail.edtCalcResult.Text;
   lblPrintCalcPercentDelayed.Caption := frmCalcDetail.edtCalcPercentDelayed.Text;


end;

end.
