(*******************************************

Package: RMPR - RMPR*3*75 - OWL
Date Created: August 28, 2006
Site Name: Hines OI Field Office
Developers: Sam Spencer, Ken Nelson
Description: Orthotic Work order and Lab (OWL) program extended dexcription memo.

*******************************************)

unit uPROS_OWL_ExtDesc;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Fmcntrls, Buttons;

type
  TfrmOWLExtDesc = class(TForm)
    memOWLExtDesc: TFMMemo;
    btnOk: TBitBtn;
    btnCancel: TBitBtn;
    procedure btnOkClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnCancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmOWLExtDesc: TfrmOWLExtDesc;

implementation

uses uPROS_OWL_Create;

{$R *.dfm}

procedure TfrmOWLExtDesc.btnOkClick(Sender: TObject);
var
  i : integer;
begin

  for i:=0 to memOWLExtDesc.Lines.Count -1 do
   begin
    frmOWLCreate.memExtDescSend.Lines.Add(memOWLExtDesc.Lines[i]);
   end;
memOWLExtDesc.Clear;
Close;
end;

procedure TfrmOWLExtDesc.FormActivate(Sender: TObject);
var
  i : integer;
 begin
//  Application.HelpFile := 'PROS_POC_HELPFILE.CHM'; //Needed here

  for i:=0 to frmOWLCreate.memExtDescSend.Lines.Count -1 do
   begin
    memOWLExtDesc.Lines.Add(frmOWLCreate.memExtDescSend.Lines[i]);
   end;
  memOWLExtDesc.Perform(EM_SCROLLCARET, 0, 0);  //Sets cursor to top
  frmOWLCreate.memExtDescSend.Clear;
end;

procedure TfrmOWLExtDesc.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Release;
end;

procedure TfrmOWLExtDesc.btnCancelClick(Sender: TObject);
begin
Close;
end;

end.
