unit uPROS_SiteManager;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Fmcntrls, ComCtrls, Fmcmpnts, Diaccess, Buttons,
  AppEvnts, CCOWRPCBroker, Trpcb, Rpcconf1;

type
  TfrmSiteManager = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    FMLabel1: TFMLabel;
    FMLabel2: TFMLabel;
    FMLabel3: TFMLabel;
    FMLabel4: TFMLabel;
    FMLabel5: TFMLabel;
    FMLabel6: TFMLabel;
    TabSheet4: TTabSheet;
    edt669_9_1: TFMEdit;
    edt669_9_01: TFMEdit;
    edt669_9_4: TFMEdit;
    edt669_9_5: TFMEdit;
    edt669_9_6_IEN: TFMEdit;
    edt669_9_7: TFMEdit;
    dbSM_FindOneSecurity: TFMFindOne;
    dbSM_GetsSecurity: TFMGets;
    Edit1: TEdit;
    Edit2: TEdit;
    dbSM_GetsSelectedSiteData: TFMGets;
    dbSM_ListerSite: TFMLister;
    FMComboBoxLookUp1: TFMComboBoxLookUp;
    Label1: TLabel;
    edt669_9_3: TFMEdit;
    FMEdit8: TFMEdit;
    FMEdit9: TFMEdit;
    FMLabel7: TFMLabel;
    FMLabel8: TFMLabel;
    FMLabel9: TFMLabel;
    FMComboBoxLookUp2: TFMComboBoxLookUp;
    FMLabel10: TFMLabel;
    dbSM_ListerUser: TFMLister;
    edt669_9003_1: TFMEdit;
    edt669_9003_2: TFMEdit;
    dbSM_GetsSelectedUserData: TFMGets;
    FMLabel11: TFMLabel;
    FMLabel12: TFMLabel;
    FMLabel13: TFMLabel;
    FMEdit12: TFMEdit;
    FMEdit13: TFMEdit;
    FMComboBoxLookUp3: TFMComboBoxLookUp;
    FMLabel14: TFMLabel;
    FMEdit14: TFMEdit;
    dbSM_ListerOrthoDevice: TFMLister;
    FMLabel15: TFMLabel;
    edt669_9_7_1: TFMEdit;
    dbSM_Validator: TFMValidator;
    BitBtn1: TBitBtn;
    dbSM_Filer: TFMFiler;
    dbSM_GetsOrthoDevice: TFMGets;
    edt669_9_8: TFMEdit;
    FMLabel16: TFMLabel;
    edt669_9_8_5: TFMEdit;
    FMLabel17: TFMLabel;
    edt669_9_1_1: TFMEdit;
    TabSheet5: TTabSheet;
    GroupBox2: TGroupBox;
    FMRadioButton3: TFMRadioButton;
    FMRadioButton4: TFMRadioButton;
    FMLabel18: TFMLabel;
    edt669_9_1_IEN: TFMEdit;
    FMComboBoxLookUp4: TFMComboBoxLookUp;
    procedure FormActivate(Sender: TObject);
    procedure FMComboBoxLookUp1Select(Sender: TObject);
    procedure FMComboBoxLookUp2Enter(Sender: TObject);
    procedure FMComboBoxLookUp2Select(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure edt669_9_7_1Exit(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSiteManager: TfrmSiteManager;
  SiteManagerIEN669_9,
  SiteManagerDUZ,
  DataToSave : string;

function executeMySiteManagerForm(aDuz: String;const aBroker: TCCOWRPCBroker): Integer;

implementation

uses
PROS_MENU,
PROS_Menu_About;


{$R *.dfm}
var
  LocalBroker: TCCOWRPCBroker;

function executeMySiteManagerForm(aDuz: String;const aBroker: TCCOWRPCBroker): Integer;
begin
  if not assigned(aBroker) then Exit;
  localBroker := aBroker;
  if not assigned(frmSiteManager) then   //Checks if frm already created
    Application.CreateForm(TfrmSiteManager,frmSiteManager); //Creates form

  SiteManagerDUZ := aDUZ;  //Gets DUZ from Broker in frmMenu

  Result := frmSiteManager.ShowModal;
end;


procedure TfrmSiteManager.FormActivate(Sender: TObject);
  var rec:integer;
      s : string;
begin

 //***********  Set FM Components w/LocalBroker
//  dbSM_ListerSite.RPCBroker := LocalBroker;
//  dbSM_ListerUser.RPCBroker := LocalBroker;
//  dbSM_ListerOrthoDevice.RPCBroker := LocalBroker;
//  dbSM_GetsSecurity.RPCBroker := LocalBroker;
//  dbSM_GetsSelectedSiteData.RPCBroker := LocalBroker;
//  dbSM_GetsSelectedUserData.RPCBroker := LocalBroker;
//  dbSM_GetsOrthoDevice.RPCBroker := LocalBroker;
//  dbSM_FindOneSecurity.RPCBroker := LocalBroker;
//  dbSM_Validator.RPCBroker := LocalBroker;
//  dbSM_Filer.RPCBroker := LocalBroker;


  dbSM_GetsSecurity.IENS:='';
  dbSM_FindOneSecurity.FileNumber:='200.051';
  dbSM_FindOneSecurity.IENS:= ','+UserDUZ+',';
  dbSM_FindOneSecurity.Value :=
                               //'RMPRMANAGER';
                               'RMPRPMAS';

  s := dbSM_FindOneSecurity.GetIEN;
//  rec:=StrToInt(FMFindOne1.GetIEN);
  if s ='0' then
    dbSM_FindOneSecurity.DisplayErrors
  else if s >'0' then
  begin
    dbSM_GetsSecurity.FileNumber := '200.051';
    dbSM_GetsSecurity.IENS:= s+','+UserDUZ+',';
    dbSM_GetsSecurity.GetAndFill;
    Edit1.Text := dbSM_GetsSecurity.GetField('.01').FMDBExternal;
  end
  else
  begin
    ShowMessage('Sorry, you do not have permission to use this feature.');
    Close;
   end;
  if Edit1.Text = 'RMPRMANAGER' then
  begin
//    FMGets2.FileNumber := '669.9';
//   FMGets2.IENS:= '1';//s+','+UserDUZ+',';
//    FMGets2.GetAndFill;

  end;


end;

procedure TfrmSiteManager.FMComboBoxLookUp1Select(Sender: TObject);
begin
   if FMComboBoxLookUp1.ItemIndex >=0 then
    begin
       begin
        SiteManagerIEN669_9 := FMComboBoxLookUp1.GetSelectedRecord.IEN;
       end;

    dbSM_GetsSelectedSiteData.FileNumber := '669.9';
    dbSM_GetsSelectedSiteData.IENS:= SiteManagerIEN669_9;
    dbSM_GetsSelectedSiteData.GetAndFill;
    edt669_9_1_IEN.Text := dbSM_GetsSelectedSiteData.GetField('1').FMDBInternal; //Station IEN
    edt669_9_6_IEN.Text := dbSM_GetsSelectedSiteData.GetField('6').FMDBInternal; //State IEN
    FMComboBoxLookup2.Text := '';
    edt669_9003_1.Text := '';
    edt669_9003_2.Text := '';

    end;
end;

procedure TfrmSiteManager.FMComboBoxLookUp2Enter(Sender: TObject);
begin
FMComboBoxLookUp2.IENS := SiteManagerIEN669_9;
dbSM_ListerUser.IENS := ','+SiteManagerIEN669_9+',';

end;

procedure TfrmSiteManager.FMComboBoxLookUp2Select(Sender: TObject);
var
UserIEN669_9003 : string;
begin
   if FMComboBoxLookUp2.ItemIndex >=0 then
    begin
    edt669_9003_1.Text := '';
    edt669_9003_2.Text := '';
       begin
        UserIEN669_9003 := FMComboBoxLookUp2.GetSelectedRecord.IEN;
        FMEdit12.Text := UserIEN669_9003;
       end;
//    dbSM_GetsSelectedUserData.RPCBroker := LocalBroker;
    dbSM_GetsSelectedUserData.FileNumber := '669.9003';
    dbSM_GetsSelectedUserData.IENS:= UserIEN669_9003+','+SiteManagerIEN669_9+',';
    dbSM_GetsSelectedUserData.GetAndFill;
  end;
end;

procedure TfrmSiteManager.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Close;
Release;
end;

procedure TfrmSiteManager.edt669_9_7_1Exit(Sender: TObject);
begin
//if Length(FMEdit15.Text) >80 then
//     begin
//      ShowMessage('The string is too long!');
//      FMEdit15.Focused;
//     end;
end;

procedure TfrmSiteManager.BitBtn1Click(Sender: TObject);
begin
 DataToSave :=
               SiteManagerIEN669_9
               +'^'+
               edt669_9_01.Text//   .01    SITE NAME (RFX), [0;1]
               +'^'+
               edt669_9_1_IEN.Text//    1      STATION (P4'), [0;2] // IEN File 4
               +'^'+
//               edt669_9_1_1.Text//  1.1    IFCAP SITE (FX), [4;1]
//               +'^'+
//               edt669_9_2.Text//    2      AUTOMATED INVENTORY (GIP) (RS), [0;3]
//               +'^'+
               edt669_9_3.Text//    3      PHONE NUMBER (F), [0;4]
               +'^'+
               edt669_9_4.Text//    4      STREET ADD1 (RF), [2;2]
               +'^'+
               edt669_9_5.Text//    5      CITY (RF), [2;3]
               +'^'+
               edt669_9_6_IEN.Text//    6      STATE (RP5), [2;4]
               +'^'+
               edt669_9_7.Text//    7      ZIP CODE (RF), [2;5]
               +'^'+
               edt669_9_7_1.Text//  7.1    MANAGER COMMENT (F), [6;1]
               +'^'+
               edt669_9_8.Text//    8      CHIEF SIG BLOCK (RF), [2;6]
               +'^'+
//             edt669_9_8_1.Text//  8.1    PURCHASING AGENT (Multiple-669.9003), [5;0]
//               +'^'+
//               edt669_9003_01.Text//       .01  PURCHASING AGENT (P200'), [0;1]
//               +'^'+
//               edt669_9003_1.Text//        1    START RANGE (NJ2,0), [0;2]
//               +'^'+
//               edt669_9003_2.Text//        2    STOP RANGE (NJ2,0), [0;3]
//               +'^'+
               edt669_9_8_5.Text//   8.5   SIGNATURE BLOCK TITLE (F), [2;1]
(*               +'^'+
               edt669_9_9.Text//     9     PURCHASING DEVICE (P3.5'), [0;5]
               +'^'+
               edt669_9_10.Text//    10    COMMON NUMBERING SERIES (P442.6'), [4;2]
               +'^'+
               edt669_9_11.Text//    11    GROUPER COUNTER (NJ8,0I), [0;7]
               +'^'+
               edt669_9_15.Text//    15    ART LIMBS PSC AMOUNT (NJ6,2), [2;7]
               +'^'+
               edt669_9_16.Text//    16    WHEELCHAIR PSC AMOUNT (NJ6,2), [2;8]
               +'^'+
               edt669_9_17.Text//    17    BRACES PSC AMOUNT (NJ6,2), [2;9]
               +'^'+
               edt669_9_18.Text//    18    BLIND AIDS PSC AMOUNT (NJ6,2), [2;10]
//19        SUSPENSE PURGE (RNJ3,0), [0;8]
//20        CLOSE-OUT PURCHASING PURGE (RNJ3,0), [0;9]
//21        CANCELLATION PURCHASING PURGE (RNJ3,0), [0;10]
//22        PROSTHETICS CLINIC (Multiple-669.922), [1;0]
//          .01  PROSTHETICS CLINIC (M*P44'), [0;1]
//26        EYE CLINIC LAB DEVICE (P3.5'), [DEV;1]
//27        ORTHOTIC LAB DEVICE (P3.5'), [DEV;2]
//28        RESTORATION CLINIC DEVICE (P3.5'), [DEV;3]
//29        SHOE LAST CLINIC DEVICE (P3.5'), [DEV;4]
//30        WHEELCHAIR REPAIR SHOP DEVICE (P3.5'), [DEV;5]
//31        LAB (S), [0;6]
//32        ORTHOTICS LAB ACTIVATED? (S), [0;11]
//33        RESTORATION LAB ACTIVATED? (S), [0;12]
//34        ROUTING NUMBER (F), [0;13]
//35        INVENTORY DEVICE (P3.5'), [INV;1]
//37        NOTIFICATION DATE (D), [INV;3]
//38        HQ MAIL ADDRESS (F), [INV;4]
//39        HQ REPORT DATE (D), [INV;5]
//40        VISN (NJ2,0), [INV;2]
//50        PCE START DATE (D), [PCE;1]
//51        PCE END DATE (D), [PCE;2]
//52        PCE HOSPITAL LOCATION (P44'), [PCE;3]
*)
;

  frmMenu.brkrRPC.CreateContext('RMPR PURCHASE ORDER GUI');
  frmMenu.brkrRPC.RemoteProcedure := 'RMPR SITE INFO TAB';
  frmMenu.brkrRPC.Param[0].Value := DataToSave;
  frmMenu.brkrRPC.Param[0].PType := literal;

  TRY
    frmMenu.brkrRPC.Call;
  Except
   on E:EBrokerError do
       begin
       Showmessage('Broker Error: '+ E.Message);
       end;
     on E:EAccessViolation do
       Showmessage(E.Message);
     else
       raise;
  END;



(*dbSM_Filer.RPCBroker := LocalBroker;
if dbSM_Filer.AnythingToFile then
  if dbSM_Filer.DataProblemCheck = True then
    dbSM_Filer.ProcessDataProblemList
  else
    if dbSM_Filer.Update then
      ShowMessage('Changes filed!')
    else
      dbSM_Filer.DisplayErrors
else
  ShowMessage('No changes to file!');
*)
end;

end.
