unit uPROS_StockIssue;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, CCOWRPCBroker, StdCtrls, Buttons, Trpcb, Rpcconf1, MFunstr;

type
  TfrmStockIssue = class(TForm)
    BitBtn1: TBitBtn;
    edtDUZ: TEdit;
    Edit1: TEdit;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Edit9: TEdit;
    Edit10: TEdit;
    Edit11: TEdit;
    Edit12: TEdit;
    Edit13: TEdit;
    Edit14: TEdit;
    Edit15: TEdit;
    Edit16: TEdit;
    Memo1: TMemo;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmStockIssue: TfrmStockIssue;

  function executeStockIssueForm(aDuz: String;const aBroker: TCCOWRPCBroker): Integer;

implementation

{$R *.dfm}
var
  LocalBroker: TCCOWRPCBroker;

function executeStockIssueForm(aDuz: String;const aBroker: TCCOWRPCBroker):Integer;
begin
  if not assigned(aBroker) then Exit;
  localBroker := aBroker;
  if not assigned(frmStockIssue) then
    Application.CreateForm(TfrmStockIssue,frmStockIssue);

  frmStockIssue.edtDUZ.Text := aDUZ;
  Result := frmStockIssue.ShowModal;
end;

procedure TfrmStockIssue.BitBtn1Click(Sender: TObject);
begin
Close;
end;

procedure TfrmStockIssue.BitBtn2Click(Sender: TObject);
begin


    LocalBroker.CreateContext('RMPR NPPD GUI');
    LocalBroker.RemoteProcedure := 'RMPR CHECK PA AUTHORIZATION';
    LocalBroker.Param[0].Value := edtDUZ.Text;
    LocalBroker.Param[0].PType := literal;
    LocalBroker.RPCTimeLimit := 600;    //10 Min ?!?

    Try
    //
     LocalBroker.Call;
     //Sleep( 1000 );  {replace with query.Open or such}
    except
     on E:EBrokerError do
       begin
       Showmessage('Broker Error: '+ E.Message);
       end;
     on E:EAccessViolation do
       Showmessage('E.Message');
     else
       raise;
     end;


edit1.Text := LocalBroker.Results[0];




end;

procedure TfrmStockIssue.BitBtn3Click(Sender: TObject);
var
s : string;
begin
s := '3090827^2272B7727C8828D9929D^WHEELCHAIRHISTORICALITEMFREETEXTCANBE60 CHARACTERS WITH SPAC^DESCRIPTION OF ITEM FREE TEXT CAN BE 60 CHARACTERS WITH SPAC^9999.99';//^123456789SER12345678^J W GOETHE UNIVERSITY MEDICAL CENTER^(621) 296-2745 EXT 456789^1234567891234567891 DOWN THE ROAD^BUILDING 345 ROOM 568 ROW 2345^NAVAL MEDICAL CENTER SAN DIEGO^A6531=43464812345678^1234512345123451234512345^V';
edit1.Text := Piece(s,'^',1);
edit2.Text := Piece(s,'^',2);
edit3.Text := Piece(s,'^',3);
edit4.Text := Piece(s,'^',4);
edit5.Text := Piece(s,'^',5);

end;

end.
